Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.parser.chars
Class ImmutableChars

    java.lang.Object
      org.jboss.portal.format.parser.chars.ImmutableChars

All Implemented Interfaces:
  Chars

    public class ImmutableChars

extends java.lang.Object
implements Chars

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`ImmutableChars(java.lang.String s)`

Method Summary
`void` | `appendTo(java.io.Writer writer)` Append the chars to a Writer.
`java.io.Reader` | `getReader()` Get a Reader for the chars.
`int` | `length()` Returns how many chars there are.
`java.lang.String` | `toString()` Returns a String made of the chars.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableChars

    public ImmutableChars(java.lang.String s)

Method Detail

### appendTo

    public void appendTo(java.io.Writer writer)
                  throws java.io.IOException

  Description copied from interface: `Chars`
  Append the chars to a Writer.

  Specified by:
    `appendTo` in interface `Chars`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.Reader getReader()

  Description copied from interface: `Chars`
  Get a Reader for the chars.

  Specified by:
    `getReader` in interface `Chars`

### length

    public int length()

  Description copied from interface: `Chars`
  Returns how many chars there are.

  Specified by:
    `length` in interface `Chars`

### toString

    public java.lang.String toString()

  Description copied from interface: `Chars`
  Returns a String made of the chars.

  Specified by:
    `toString` in interface `Chars`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD